Bug 484367 - fc11 Alpha: LiveImage install specified ext4 but ext3 fs created
fc11 Alpha: LiveImage install specified ext4 but ext3 fs created
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: LiveCD (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks: F11Live
  Show dependency treegraph
 
Reported: 2009-02-06 09:36 EST by Zaid Sheikh
Modified: 2013-01-10 00:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-09 22:55:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cat /root/anaconda-ks.cfg;cat /etc/fstab;cat /var/log/anaconda.log (34.23 KB, text/plain)
2009-02-06 09:36 EST, Zaid Sheikh
no flags Details

  None (edit)
Description Zaid Sheikh 2009-02-06 09:36:13 EST
Created attachment 331128 [details]
cat /root/anaconda-ks.cfg;cat /etc/fstab;cat /var/log/anaconda.log

Description of problem:
When I installed Fedora 11 Alpha from a liveCD, during partitioning, /dev/VolGroup/lv_root was shown to be ext4 but after install I find that the / partition is actually ext3.


Version-Release number of selected component (if applicable):
anaconda-11.5.0.12-1.i386


How reproducible:
It is reproducible when installing from LiveCD. Have not checked from install DVD.


Steps to Reproduce:
1.Boot from LiveCD
2.During partitioning,choose either "Use free space" or "Remove Linux partitions" or "Use whole hard disk". On selecting any of those options, Anaconda creates a default partioning scheme, with / as ext4 by default
3.Install
  
Actual results:
An ext3 partition

Expected results:
Expected an ext4 partition as specified dusring install.

Additional info:
Atached files with output for cat /root/anaconda-ks.cfg;cat /etc/fstab;cat /var/log/anaconda.log
Comment 1 Eric Sandeen 2009-02-06 10:27:32 EST
I think that for alpha the livecd ended up on ext3, so I think this is expected for now (AFAIK the livecd can't install onto some filesystem other than what created it)

So you booted the livecd and then did install to HD, right.

That (as I understand it) just dd's the livecd image onto the hard drive.  In that case I don't think you should be given a filesystem choice.

I think this is one for the anaconda guys...
Comment 2 Jeremy Katz 2009-02-06 11:15:45 EST
Yes, this would be the expected behavior if the alpha was an ext3 fs image.  

I guess we could pop up a notification although there's really not anything that the user can _do_ about it
Comment 3 Will Woods 2009-02-06 14:22:42 EST
No, it just needs to be in the release notes for now - LiveCD is ext3, so the installed system will be ext3.

This bug can be considered fixed once the LiveCD is using ext4. Is there a bug report or something that outlines the work needed to make that happen?
Comment 4 Jeremy Katz 2009-02-09 22:55:00 EST
(In reply to comment #3)
> This bug can be considered fixed once the LiveCD is using ext4. Is there a bug
> report or something that outlines the work needed to make that happen?

That's being tracked as bug 484522

Note You need to log in before you can comment on or make changes to this bug.